Skip to content

R-CMD-CHECK Github action failing, because MASS needs R 4.3? #26293

R-CMD-CHECK Github action failing, because MASS needs R 4.3? #26293
Jun 10, 2022 · 4 answers

I’ve been using Github actions successfully for a while to do R-CMD-Check on package himach. Now, on most platforms the checks fail because “MASS needs R >= 4.3”. This is odd because (a) R 4.3 doesn’t exist AFAIK (b) MASS on CRAN needs R >= 3.3.0.

CMD-CHECK works OK on my own machine, and on rhub and on CRAN and with check_win_release.

Is anyone else having this problem? Or has something changed in the config? The action is defined here in github.

David

I was able to fix my issue by updating my github actions R-CMD-check to v2, so maybe that will work for you, which you can see here

Replies

4 suggested answers

I have been having this same issue and it only started last week.

0 replies

Thanks. Good to know. In the meantime, using the old-fashioned methods for checks on other platforms worked, and himach is up on CRAN having passed its checks.

0 replies

I was able to fix my issue by updating my github actions R-CMD-check to v2, so maybe that will work for you, which you can see here

0 replies
Answer selected

Excellent. Works for me too. Thanks Dominique.

0 replies
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
2 participants